# Uses of Interface
org.apache.commons.math3.analysis.UnivariateMatrixFunction

Packages that use UnivariateMatrixFunction
Package
Description
org.apache.commons.math3.analysis
Parent package for common numerical analysis procedures, including root finding, function interpolation and integration.
org.apache.commons.math3.analysis.differentiation
This package holds the main interfaces and basic building block classes dealing with differentiation.

## Uses of UnivariateMatrixFunction in org.apache.commons.math3.analysis

Subinterfaces of UnivariateMatrixFunction in org.apache.commons.math3.analysis
Modifier and Type
Interface
Description
`interface`
`DifferentiableUnivariateMatrixFunction`
Deprecated.
as of 3.1 replaced by `UnivariateDifferentiableMatrixFunction`
Methods in org.apache.commons.math3.analysis that return UnivariateMatrixFunction
Modifier and Type
Method
Description
`UnivariateMatrixFunction`
DifferentiableUnivariateMatrixFunction.`derivative()`
Deprecated.
Returns the derivative of the function

## Uses of UnivariateMatrixFunction in org.apache.commons.math3.analysis.differentiation

Subinterfaces of UnivariateMatrixFunction in org.apache.commons.math3.analysis.differentiation
Modifier and Type
Interface
Description
`interface`
`UnivariateDifferentiableMatrixFunction`
Extension of `UnivariateMatrixFunction` representing a univariate differentiable matrix function.
Methods in org.apache.commons.math3.analysis.differentiation with parameters of type UnivariateMatrixFunction
Modifier and Type
Method
Description
`UnivariateDifferentiableMatrixFunction`
FiniteDifferencesDifferentiator.`differentiate(UnivariateMatrixFunction function)`
Create an implementation of a `differential` from a regular `matrix function`.
`UnivariateDifferentiableMatrixFunction`
UnivariateMatrixFunctionDifferentiator.`differentiate(UnivariateMatrixFunction function)`
Create an implementation of a `differential` from a regular `matrix function`.